> For the complete documentation index, see [llms.txt](https://docs.mailtrap.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mailtrap.io/developers/email-marketing/contacts/contact-fields/create-contact-field.md).

# Create Contact Field

Create new Contact Fields. Please note, you can have up to 40 fields.

```json
{"openapi":"3.1.0","info":{"title":"Contacts","version":"2.0.0"},"tags":[{"name":"Contact Fields","description":"Manage contact fields"}],"servers":[{"description":"Mailtrap API","url":"https://mailtrap.io"}],"security":[{"HeaderAuth":[]},{"BearerAuth":[]}],"components":{"securitySchemes":{"HeaderAuth":{"type":"apiKey","description":"Pass the API token in the Api-Token","in":"header","name":"Api-Token"},"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ContactField":{"title":"ContactField","type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string","maxLength":80},"data_type":{"type":"string","enum":["text","integer","float","boolean","date"]},"merge_tag":{"type":"string","maxLength":80,"description":"Personalize your campaigns by adding a merge tag. This field will be replaced with unique contact details for each recipient."}}},"UnauthenticatedResponse":{"title":"UnauthenticatedResponse","type":"object","properties":{"error":{"type":"string","description":"Error message"}}},"PermissionsDeniedResponse":{"title":"PermissionsDeniedResponse","type":"object","properties":{"errors":{"type":"string"}}},"UnprocessableEntity":{"title":"UnprocessableEntity","type":"object","properties":{"errors":{"type":"object","description":"Validation errors per attribute. Entire record errors are under `base` key.","additionalProperties":{"type":"array","items":{"type":"string"}}}}},"RateLimitExceededResponse":{"title":"RateLimitExceededResponse","type":"object","properties":{"errors":{"type":"string","description":"Error message"}}},"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"errors":{"type":"string","description":"Error message"}}}},"responses":{"UNAUTHENTICATED":{"description":"Returns unauthorized error message. Check your credentials.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnauthenticatedResponse"}}}},"PERMISSION_DENIED":{"description":"Returns forbidden error message. Check your permissions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionsDeniedResponse"}}}},"LIMIT_EXCEEDED":{"description":"Rate limit exceeded for the current account.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RateLimitExceededResponse"}}}},"INTERNAL_ERROR":{"description":"Internal error. Retry later or contact support.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/api/contacts/fields":{"post":{"description":"Create new Contact Fields. Please note, you can have up to 40 fields.\n","operationId":"createContactField","summary":"Create Contact Field","tags":["Contact Fields"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","maxLength":80},"data_type":{"type":"string","enum":["text","integer","float","boolean","date"]},"merge_tag":{"type":"string","maxLength":80,"description":"Personalize your campaigns by adding a merge tag. This field will be replaced with unique contact details for each recipient."}}}}}},"responses":{"201":{"description":"Contact Field Created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactField"}}}},"401":{"$ref":"#/components/responses/UNAUTHENTICATED"},"403":{"$ref":"#/components/responses/PERMISSION_DENIED"},"422":{"description":"Returns validation errors.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnprocessableEntity"}}}},"429":{"$ref":"#/components/responses/LIMIT_EXCEEDED"},"500":{"$ref":"#/components/responses/INTERNAL_ERROR"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mailtrap.io/developers/email-marketing/contacts/contact-fields/create-contact-field.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
